## LsmDomNamedNodeMap LsmDomNamedNodeMap — Base class for DOM named node maps |

## Functions

LsmDomNode * | lsm_dom_named_node_map_get_item ()
unsigned int | lsm_dom_named_node_map_get_length ()
LsmDomNode * | lsm_dom_named_node_map_get_named_item ()
LsmDomNode * | lsm_dom_named_node_map_set_named_item ()
LsmDomNode * | lsm_dom_named_node_map_remove_named_item ()

## Description

## Functions

### lsm_dom_named_node_map_get_item ()

    LsmDomNode *
    lsm_dom_named_node_map_get_item (LsmDomNamedNodeMap *map,
                                     unsigned int index);

#### Parameters

map | a LsmDomNamedNodeMap |
index | item index |

#### Returns

The node corresponding to `index` , NULL on error.

[transfer none]

### lsm_dom_named_node_map_get_length ()

    unsigned int
    lsm_dom_named_node_map_get_length (LsmDomNamedNodeMap *map);

### lsm_dom_named_node_map_get_named_item ()

    LsmDomNode *
    lsm_dom_named_node_map_get_named_item (LsmDomNamedNodeMap *map,
                                           const char *name);

#### Parameters

map | a LsmDomNamedNodeMap |
name | name of the requested item |

#### Returns

The corresponding node, NULL if not found.

[transfer none]

### lsm_dom_named_node_map_set_named_item ()

    LsmDomNode *
    lsm_dom_named_node_map_set_named_item (LsmDomNamedNodeMap *map,
                                           LsmDomNode *node);

#### Parameters

map | a LsmDomNamedNodeMap |
node | a LsmDomNode |

#### Returns

same as `node` , NULL on error.

[transfer none]

### lsm_dom_named_node_map_remove_named_item ()

    LsmDomNode *
    lsm_dom_named_node_map_remove_named_item
                                   (LsmDomNamedNodeMap *map,
                                    const char *name);

#### Parameters

map | a LsmDomNamedNodeMap |
name | name of the item to remove |

#### Returns

removed node, NULL on error.

[transfer full]

## Types and Values